--- title: "getCloudCacheManualBackupList" slug: "database-vcache-getcloudcachemanualbackuplist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-getcloudcachemanualbackuplist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudCacheManualBackupList Available in VPC Get the Cloud DB for Cache manual backup list. Note Cloud DB for Cache API offers two versions based on the supported DBMS range. - getCloudCacheManualBackupList API: Support for Valkey and Redis DBMS - getCloudRedisManualBackupList API: Support for Redis DBMS ## getCloudCacheManualBackupList API This section describes the request and response formats for the getCloudCacheManualBackupList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /getCloudCacheManualBackupList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the manual backup list to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/getCloudCacheManualBackupList ?regionCode=KR' --header 'x-ncp-apigw-timestamp: {Timestamp}' --header 'x-ncp-iam-access-key: {Access Key}' --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudCacheBackupList](/docs/en/common-vapidatatype-cloudcachebackuplist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudCacheManualBackupListResponse": { "requestId": "7add8ece-0259-467d-bdc7-de214f51c93d", "returnCode": "0", "returnMessage": "success", "totalRows": 1, "cloudCacheBackupList": [ { "cloudCacheInstanceNo": "2360***", "cloudCacheServiceName": "cxcs***", "backupTime": "14:10", "backupSize": 906, "lastBackupDate": "2022-05-18T00:00:00+0900", "backupType": { "code": "CLUSTER", "codeName": "CLOUD CACHE(VPC) Cluster Backup Type" }, "shardCount": 3 } ] } } ``` - If `responseFormatType=xml` (default) ``` 428ce123-d4cf-4805-8810-f243d5c6f65f 0 success 1 2360*** cxcs*** 16:25 302 2022-05-16T00:00:00+0900 CLUSTER CLOUD CACHE(VPC) Cluster Backup Type 3 ``` ## getCloudRedisManualBackupList API This section describes the request and response formats for the getCloudRedisManualBackupList API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/getCloudRedisManualBackupList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the manual backup list to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/getCloudRedisManualBackupList ?regionCode=KR' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response body See [CloudRedisBackupList](/docs/en/common-vapidatatype-cloudredisbackuplist) for the response body. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudRedisManualBackupListResponse": { "totalRows": 1, "cloudRedisBackupList": [ { "cloudRedisInstanceNo": "****511", "cloudRedisServiceName": "test-****", "backupTime": "11:58", "backupSize": 525, "lastBackupDate": "2024-07-02T00:00:00+0900", "backupType": { "code": "CLUSTER", "codeName": "CLOUD REDIS(VPC) Cluster Backup Type" }, "shardCount": 3 } ], "requestId": "2be6d7ae-****-****-****-26487a0c19af", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 2be6d7ae-****-****-****-26487a0c19af 0 success 1 ****511 test-**** 11:58 525 2024-07-02T00:00:00+0900 CLUSTER CLOUD REDIS(VPC) Cluster Backup Type 3 ```